function init()
	gun.name = "Tron"
	gun.fireDelay = 15
	gun.shotrange = 0
	gun.shotspeed = 0
	gun.shotdamage = .5
	gun.shotknockback = 1000
	
	gun.shotlayer = 3
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.addShot("plasma.png", gun.firex, gun.firey, gun.owner.movrot, 1)
	shot.setRGB(0,0,255)
	shot.scale = 2
	shot.lifetimer = 3000
	shot.speed = 0
	shot.alpha = .5
	
	shot.ignorePhysics = 1

	return 0
end

function shot_update()

	return 0
end